/*		@(#)lui.h	1.3 Stellar 89/03/22	*/
/*
			Copyright 1989 by
			Stellar Computer Inc.
			All Rights Reserved
	
	This software comprises unpublished confidential information of
	Stellar Computer Inc. and may not be used, copied or made
	available to anyone, except in accordance with the license
	under which it is furnished.
*/
/*
 * LUI header
 */

#ifndef _LUI_HEADER
#define _LUI_HEADER 1

/* X include files */
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include <X11/cursorfont.h>
#ifndef O_RDONLY
#  ifdef ibm
#    include <fcntl.h>
#  else
#    include <sys/fcntl.h>
#  endif
#endif

/* Widget include files */
#include "browser.h"
#include "button.h"
#include "dial.h"
#include "dialog.h"
#include "label.h"
#include "popup.h"
#include "slider.h"

#ifdef LUI_DECLARE
# define LUI_GLOBAL  /* */
# define LUI_INIT(v) = v
#else
# define LUI_GLOBAL  extern
# define LUI_INIT(v) /* */
#endif

#define LUI_FONT  "8x13"   /* Was: fgb-13 on Stellar */ 

#define LUI_MAIN_CURSOR     0  /* Default Cursor */
#define LUI_DIAL_CURSOR     1
#define LUI_DIAL_CW_CURSOR  2
#define LUI_DIAL_CCW_CURSOR 3
#define LUI_DIAL_RES_CURSOR 4
#define LUI_QUESTION_CURSOR 5
#define LUI_DOWN_CURSOR     6
#define LUI_UP_CURSOR       7
#define LUI_UP_DOWN_CURSOR  8
#define LUI_CLOCK_CURSOR    9
#define LUI_PENCIL_CURSOR  10
#define LUI_ARROW_HAND_CURSOR  11

/* For degrees <--> radians conversion */
#define DERAD(x) ((x) * 0.017453292519943295)
#define RADDE(x) ((x) * 57.29577951308232300)

#define LUI_POPUP_MENU_SIZE(M) (sizeof(M) / 4)

typedef int ((*LUI_FNCP)());

LUI_GLOBAL Display
  *LUI_Display LUI_INIT ( NULL ) ;

LUI_GLOBAL Window
  LUI_RootWindow, LUI_DummyWindow;

LUI_GLOBAL unsigned long
  LUI_Color_FG,
  LUI_Color_BG,
  LUI_Color_black,
  LUI_Color_dk_grey,
  LUI_Color_md_grey,
  LUI_Color_lt_grey,
  LUI_Color_sl_grey,
  LUI_Color_xl_grey,
  LUI_Color_white,
  LUI_Color_fore,
  LUI_Color_xor;

LUI_GLOBAL GC
  LUI_Gc,
  LUI_GC_black,
  LUI_GC_dk_grey,
  LUI_GC_md_grey,
  LUI_GC_lt_grey,
  LUI_GC_sl_grey,
  LUI_GC_xl_grey,
  LUI_GC_white,
  LUI_GC_fore,
  LUI_GC_xor;

LUI_GLOBAL XFontStruct
  *LUI_Font;

LUI_GLOBAL int
  LUI_Debug       LUI_INIT ( 0.0 ),
  LUI_Screen,
  LUI_Width,
  LUI_Height,
  LUI_Depth,
  LUI_Font_yoff;

LUI_GLOBAL Visual 
  *LUI_Visual;

LUI_GLOBAL int
  LUI_DefaultHue  LUI_INIT ( -1.0 ),
  LUI_DefaultHue2 LUI_INIT (  0.0 ),
  LUI_DefaultHue3 LUI_INIT (  0.0 );

LUI_GLOBAL Colormap
  LUI_Colormap;

/***** Modified by Marief  May,24 1989 ****/
unsigned long LUI_ColorHilite;


#ifdef LUI_DECLARE 
char   
  LUI_ProgramName[128];
Cursor 
  LUI_CursorTable[32];
#else
extern char   
  LUI_ProgramName[];
extern Cursor 
  LUI_CursorTable[];
#endif

Window 
  LUI_CreateWindow();

unsigned long 
  LUI_MakeColor();

GC 
  LUI_MakeGC();

#endif  _LUI_HEADER


